summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTheodore Ts'o <tytso@mit.edu>2014-08-09 13:05:21 -0400
committerTheodore Ts'o <tytso@mit.edu>2014-08-10 18:11:54 -0400
commit84d6dd7858e9c21bc9d89723cba586736dea8369 (patch)
tree08dbb5fe91cf2a0e5b36a94d5c977a5178aa72c8
parent755e0771810e1ff7ff6abe35d1dc2db8e9c227c8 (diff)
downloade2fsprogs-84d6dd7858e9c21bc9d89723cba586736dea8369.tar.gz
tests: add the r_meta_bg_shrink test
This test checks to make sure resize2fs can properly handle a file system which started life as a normal ext4 file system and then was grown to a size where meta_bg was enabled, and then shrunk back below the point where the meta_bg format is still needed. Signed-off-by: Theodore Ts'o <tytso@mit.edu>
-rw-r--r--tests/r_meta_bg_shrink/script34
1 files changed, 34 insertions, 0 deletions
diff --git a/tests/r_meta_bg_shrink/script b/tests/r_meta_bg_shrink/script
new file mode 100644
index 00000000..de777775
--- /dev/null
+++ b/tests/r_meta_bg_shrink/script
@@ -0,0 +1,34 @@
+if test -x $RESIZE2FS_EXE -a -x $DEBUGFS_EXE; then
+
+test_description="meta_bg shrink"
+FEATURES="-t ext4 -O 64bit,meta_bg,^resize_inode -b 1024"
+SIZE_1=1G
+SIZE_2=48M
+LOG=$test_name.log
+E2FSCK=../e2fsck/e2fsck
+RESIZE2FS_OPTS=-f
+
+. $cmd_dir/scripts/resize_test
+
+export MKE2FS_FIRST_META_BG=2
+resize_test
+unset MKE2FS_FIRST_META_BG
+
+RC=$?
+if [ $RC -eq 0 ]; then
+ echo "$test_name: $test_description: ok"
+ touch $test_name.ok
+elif [ $RC -eq 111 ]; then
+ echo "$test_name: $test_description: skipped"
+ touch $test_name.ok
+else
+ echo "$test_name: $test_description: failed"
+ ln $LOG $test_name.failed
+fi
+
+unset FEATURES SIZE_1 SIZE_2 LOG E2FSCK
+
+else #if test -x $RESIZE2FS_EXE -a -x $DEBUGFS_EXE; then
+ echo "$test_name: $test_description: skipped"
+fi
+